OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.ES32Compatibility

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBES32Compatibility :: MonadIO m => m Bool
- gl_ARB_ES3_2_compatibility :: Bool
- pattern GL_MULTISAMPLE_LINE_WIDTH_GRANULARITY_ARB :: GLenum
- pattern GL_MULTISAMPLE_LINE_WIDTH_RANGE_ARB :: GLenum
- pattern GL_PRIMITIVE_BOUNDING_BOX_ARB :: GLenum
- glPrimitiveBoundingBoxARB :: MonadIO m => GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()

# Extension Support

glGetARBES32Compatibility :: MonadIO m => m Bool Source #

Is the ARB_ES3_2_compatibility extension supported?

gl_ARB_ES3_2_compatibility :: Bool Source #

Is the ARB_ES3_2_compatibility extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBES32Compatibility` in those cases instead.

# Enums

pattern GL_MULTISAMPLE_LINE_WIDTH_GRANULARITY_ARB :: GLenum Source #

pattern GL_MULTISAMPLE_LINE_WIDTH_RANGE_ARB :: GLenum Source #

pattern GL_PRIMITIVE_BOUNDING_BOX_ARB :: GLenum Source #

# Functions

glPrimitiveBoundingBoxARB Source #

Arguments

:: MonadIO m |
=> GLfloat | `minX`.
-> GLfloat | `minY`.
-> GLfloat | `minZ`.
-> GLfloat | `minW`.
-> GLfloat | `maxX`.
-> GLfloat | `maxY`.
-> GLfloat | `maxZ`.
-> GLfloat | `maxW`.
-> m () |

This command is an alias for `glPrimitiveBoundingBox`.